# ElectroMechanicalDrives

Modelica library for the simulation of electromechanical drives such as
- Electric vehicles
- Electric trains
- Machine tools
in order to investigate the stastionary and transient behaviour and to dimension electric drive components. 

The library provides: 
- Vehicle with
  - Aerodynamic friction 
  - Rolling friction
  - Inclincation of road
  - Optional electrical drive
- Linear, symmetric and chargable battery model, parameterized by cut off voltage, charge voltage, energy
- Ideal DC/DC converter with no loss
- Simplified DC machine model with field weakening capability
- Ideal mechanical machines with field weakening capabilites 
- Translational and rotational friction models
- Translational and rotational constant friction models

# License

This Modelica library is free software and the use is completely at your own
risk. The library is released under [Modelica License 1.1](https://www.modelica.org/licenses/ModelicaLicense1.1)

# Development and contribution

The library was developed to provide course material at the [TGM](http://www.tgm.ac.at), Wexstraße 19-23, 1200 Vienna, Austria. Library authors is [Christian Kral](https://christiankral.net).

# Contact

e-mail: dr.christian.kral(at)gmail.com
